Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
89.0.0.0
Broadcast address
89.255.255.255
First usable
89.0.0.1
Last usable
89.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 59000000 · Integer 1493172224 to 1509949439
Reverse DNS zone
89.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001..00000000.00000000.0000000089.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01011001..00000000.00000000.0000000089.0.0.0
Broadcast01011001..11111111.11111111.1111111189.255.255.255
Split into smaller subnets/15

89.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.0.0.0/1589.0.0.1 to 89.1.255.25489.1.255.255131,070
289.2.0.0/1589.2.0.1 to 89.3.255.25489.3.255.255131,070
389.4.0.0/1589.4.0.1 to 89.5.255.25489.5.255.255131,070
489.6.0.0/1589.6.0.1 to 89.7.255.25489.7.255.255131,070
589.8.0.0/1589.8.0.1 to 89.9.255.25489.9.255.255131,070
689.10.0.0/1589.10.0.1 to 89.11.255.25489.11.255.255131,070
789.12.0.0/1589.12.0.1 to 89.13.255.25489.13.255.255131,070
889.14.0.0/1589.14.0.1 to 89.15.255.25489.15.255.255131,070
989.16.0.0/1589.16.0.1 to 89.17.255.25489.17.255.255131,070
1089.18.0.0/1589.18.0.1 to 89.19.255.25489.19.255.255131,070
1189.20.0.0/1589.20.0.1 to 89.21.255.25489.21.255.255131,070
1289.22.0.0/1589.22.0.1 to 89.23.255.25489.23.255.255131,070
1389.24.0.0/1589.24.0.1 to 89.25.255.25489.25.255.255131,070
1489.26.0.0/1589.26.0.1 to 89.27.255.25489.27.255.255131,070
1589.28.0.0/1589.28.0.1 to 89.29.255.25489.29.255.255131,070
1689.30.0.0/1589.30.0.1 to 89.31.255.25489.31.255.255131,070
1789.32.0.0/1589.32.0.1 to 89.33.255.25489.33.255.255131,070
1889.34.0.0/1589.34.0.1 to 89.35.255.25489.35.255.255131,070
1989.36.0.0/1589.36.0.1 to 89.37.255.25489.37.255.255131,070
2089.38.0.0/1589.38.0.1 to 89.39.255.25489.39.255.255131,070
2189.40.0.0/1589.40.0.1 to 89.41.255.25489.41.255.255131,070
2289.42.0.0/1589.42.0.1 to 89.43.255.25489.43.255.255131,070
2389.44.0.0/1589.44.0.1 to 89.45.255.25489.45.255.255131,070
2489.46.0.0/1589.46.0.1 to 89.47.255.25489.47.255.255131,070
2589.48.0.0/1589.48.0.1 to 89.49.255.25489.49.255.255131,070
2689.50.0.0/1589.50.0.1 to 89.51.255.25489.51.255.255131,070
2789.52.0.0/1589.52.0.1 to 89.53.255.25489.53.255.255131,070
2889.54.0.0/1589.54.0.1 to 89.55.255.25489.55.255.255131,070
2989.56.0.0/1589.56.0.1 to 89.57.255.25489.57.255.255131,070
3089.58.0.0/1589.58.0.1 to 89.59.255.25489.59.255.255131,070
3189.60.0.0/1589.60.0.1 to 89.61.255.25489.61.255.255131,070
3289.62.0.0/1589.62.0.1 to 89.63.255.25489.63.255.255131,070
3389.64.0.0/1589.64.0.1 to 89.65.255.25489.65.255.255131,070
3489.66.0.0/1589.66.0.1 to 89.67.255.25489.67.255.255131,070
3589.68.0.0/1589.68.0.1 to 89.69.255.25489.69.255.255131,070
3689.70.0.0/1589.70.0.1 to 89.71.255.25489.71.255.255131,070
3789.72.0.0/1589.72.0.1 to 89.73.255.25489.73.255.255131,070
3889.74.0.0/1589.74.0.1 to 89.75.255.25489.75.255.255131,070
3989.76.0.0/1589.76.0.1 to 89.77.255.25489.77.255.255131,070
4089.78.0.0/1589.78.0.1 to 89.79.255.25489.79.255.255131,070
4189.80.0.0/1589.80.0.1 to 89.81.255.25489.81.255.255131,070
4289.82.0.0/1589.82.0.1 to 89.83.255.25489.83.255.255131,070
4389.84.0.0/1589.84.0.1 to 89.85.255.25489.85.255.255131,070
4489.86.0.0/1589.86.0.1 to 89.87.255.25489.87.255.255131,070
4589.88.0.0/1589.88.0.1 to 89.89.255.25489.89.255.255131,070
4689.90.0.0/1589.90.0.1 to 89.91.255.25489.91.255.255131,070
4789.92.0.0/1589.92.0.1 to 89.93.255.25489.93.255.255131,070
4889.94.0.0/1589.94.0.1 to 89.95.255.25489.95.255.255131,070
4989.96.0.0/1589.96.0.1 to 89.97.255.25489.97.255.255131,070
5089.98.0.0/1589.98.0.1 to 89.99.255.25489.99.255.255131,070
5189.100.0.0/1589.100.0.1 to 89.101.255.25489.101.255.255131,070
5289.102.0.0/1589.102.0.1 to 89.103.255.25489.103.255.255131,070
5389.104.0.0/1589.104.0.1 to 89.105.255.25489.105.255.255131,070
5489.106.0.0/1589.106.0.1 to 89.107.255.25489.107.255.255131,070
5589.108.0.0/1589.108.0.1 to 89.109.255.25489.109.255.255131,070
5689.110.0.0/1589.110.0.1 to 89.111.255.25489.111.255.255131,070
5789.112.0.0/1589.112.0.1 to 89.113.255.25489.113.255.255131,070
5889.114.0.0/1589.114.0.1 to 89.115.255.25489.115.255.255131,070
5989.116.0.0/1589.116.0.1 to 89.117.255.25489.117.255.255131,070
6089.118.0.0/1589.118.0.1 to 89.119.255.25489.119.255.255131,070
6189.120.0.0/1589.120.0.1 to 89.121.255.25489.121.255.255131,070
6289.122.0.0/1589.122.0.1 to 89.123.255.25489.123.255.255131,070
6389.124.0.0/1589.124.0.1 to 89.125.255.25489.125.255.255131,070
6489.126.0.0/1589.126.0.1 to 89.127.255.25489.127.255.255131,070
6589.128.0.0/1589.128.0.1 to 89.129.255.25489.129.255.255131,070
6689.130.0.0/1589.130.0.1 to 89.131.255.25489.131.255.255131,070
6789.132.0.0/1589.132.0.1 to 89.133.255.25489.133.255.255131,070
6889.134.0.0/1589.134.0.1 to 89.135.255.25489.135.255.255131,070
6989.136.0.0/1589.136.0.1 to 89.137.255.25489.137.255.255131,070
7089.138.0.0/1589.138.0.1 to 89.139.255.25489.139.255.255131,070
7189.140.0.0/1589.140.0.1 to 89.141.255.25489.141.255.255131,070
7289.142.0.0/1589.142.0.1 to 89.143.255.25489.143.255.255131,070
7389.144.0.0/1589.144.0.1 to 89.145.255.25489.145.255.255131,070
7489.146.0.0/1589.146.0.1 to 89.147.255.25489.147.255.255131,070
7589.148.0.0/1589.148.0.1 to 89.149.255.25489.149.255.255131,070
7689.150.0.0/1589.150.0.1 to 89.151.255.25489.151.255.255131,070
7789.152.0.0/1589.152.0.1 to 89.153.255.25489.153.255.255131,070
7889.154.0.0/1589.154.0.1 to 89.155.255.25489.155.255.255131,070
7989.156.0.0/1589.156.0.1 to 89.157.255.25489.157.255.255131,070
8089.158.0.0/1589.158.0.1 to 89.159.255.25489.159.255.255131,070
8189.160.0.0/1589.160.0.1 to 89.161.255.25489.161.255.255131,070
8289.162.0.0/1589.162.0.1 to 89.163.255.25489.163.255.255131,070
8389.164.0.0/1589.164.0.1 to 89.165.255.25489.165.255.255131,070
8489.166.0.0/1589.166.0.1 to 89.167.255.25489.167.255.255131,070
8589.168.0.0/1589.168.0.1 to 89.169.255.25489.169.255.255131,070
8689.170.0.0/1589.170.0.1 to 89.171.255.25489.171.255.255131,070
8789.172.0.0/1589.172.0.1 to 89.173.255.25489.173.255.255131,070
8889.174.0.0/1589.174.0.1 to 89.175.255.25489.175.255.255131,070
8989.176.0.0/1589.176.0.1 to 89.177.255.25489.177.255.255131,070
9089.178.0.0/1589.178.0.1 to 89.179.255.25489.179.255.255131,070
9189.180.0.0/1589.180.0.1 to 89.181.255.25489.181.255.255131,070
9289.182.0.0/1589.182.0.1 to 89.183.255.25489.183.255.255131,070
9389.184.0.0/1589.184.0.1 to 89.185.255.25489.185.255.255131,070
9489.186.0.0/1589.186.0.1 to 89.187.255.25489.187.255.255131,070
9589.188.0.0/1589.188.0.1 to 89.189.255.25489.189.255.255131,070
9689.190.0.0/1589.190.0.1 to 89.191.255.25489.191.255.255131,070
9789.192.0.0/1589.192.0.1 to 89.193.255.25489.193.255.255131,070
9889.194.0.0/1589.194.0.1 to 89.195.255.25489.195.255.255131,070
9989.196.0.0/1589.196.0.1 to 89.197.255.25489.197.255.255131,070
10089.198.0.0/1589.198.0.1 to 89.199.255.25489.199.255.255131,070
10189.200.0.0/1589.200.0.1 to 89.201.255.25489.201.255.255131,070
10289.202.0.0/1589.202.0.1 to 89.203.255.25489.203.255.255131,070
10389.204.0.0/1589.204.0.1 to 89.205.255.25489.205.255.255131,070
10489.206.0.0/1589.206.0.1 to 89.207.255.25489.207.255.255131,070
10589.208.0.0/1589.208.0.1 to 89.209.255.25489.209.255.255131,070
10689.210.0.0/1589.210.0.1 to 89.211.255.25489.211.255.255131,070
10789.212.0.0/1589.212.0.1 to 89.213.255.25489.213.255.255131,070
10889.214.0.0/1589.214.0.1 to 89.215.255.25489.215.255.255131,070
10989.216.0.0/1589.216.0.1 to 89.217.255.25489.217.255.255131,070
11089.218.0.0/1589.218.0.1 to 89.219.255.25489.219.255.255131,070
11189.220.0.0/1589.220.0.1 to 89.221.255.25489.221.255.255131,070
11289.222.0.0/1589.222.0.1 to 89.223.255.25489.223.255.255131,070
11389.224.0.0/1589.224.0.1 to 89.225.255.25489.225.255.255131,070
11489.226.0.0/1589.226.0.1 to 89.227.255.25489.227.255.255131,070
11589.228.0.0/1589.228.0.1 to 89.229.255.25489.229.255.255131,070
11689.230.0.0/1589.230.0.1 to 89.231.255.25489.231.255.255131,070
11789.232.0.0/1589.232.0.1 to 89.233.255.25489.233.255.255131,070
11889.234.0.0/1589.234.0.1 to 89.235.255.25489.235.255.255131,070
11989.236.0.0/1589.236.0.1 to 89.237.255.25489.237.255.255131,070
12089.238.0.0/1589.238.0.1 to 89.239.255.25489.239.255.255131,070
12189.240.0.0/1589.240.0.1 to 89.241.255.25489.241.255.255131,070
12289.242.0.0/1589.242.0.1 to 89.243.255.25489.243.255.255131,070
12389.244.0.0/1589.244.0.1 to 89.245.255.25489.245.255.255131,070
12489.246.0.0/1589.246.0.1 to 89.247.255.25489.247.255.255131,070
12589.248.0.0/1589.248.0.1 to 89.249.255.25489.249.255.255131,070
12689.250.0.0/1589.250.0.1 to 89.251.255.25489.251.255.255131,070
12789.252.0.0/1589.252.0.1 to 89.253.255.25489.253.255.255131,070
12889.254.0.0/1589.254.0.1 to 89.255.255.25489.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses